Method: caseQueueFilters.list

Full name: projects.locations.instances.caseQueueFilters.list

Lists CaseQueueFilters.

HTTP request


GET https://chronicle.africa-south1.rep.googleapis.com/v1beta/{parent}/caseQueueFilters

Path parameters

Parameters
parent

string

Required. The instance to list CaseQueueFilters for. Format: projects/{project}/locations/{location}/instances/{instance}/caseQueueFilters

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of CaseQueueFilters to return. The service may return fewer than this value. If unspecified, at most 50 CaseQueueFilters will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous caseQueueFilters.list call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListBooks must match the call that provided the page token.

filter

string

Optional. A filter to apply to the list of CaseQueueFilters. Supported filter fields: * displayName: Filter by the display name. * filterOperator: Filter by the filter operator. * criteria: Filter by the criteria. * interval: Filter by the interval. * timeRangeFilter: Filter by the time range filter. Example: filter="displayName='some_name'"

orderBy

string

Optional. Configures ordering of CaseQueueFilters in the response. If not specified, CaseQueueFilters are returned in descending order of their create time. The default ordering is by create time in descending order. The orderBy string is a comma separated list of fields. Supported sort fields: * displayName * filterOperator * interval * timeRangeFilter

example: "displayName desc, timeRangeFilter"

expand

string

Optional. Expand field for getting related data. Supported values: * criteria example: "?expand=criteria"

Request body

The request body must be empty.

Response body

Response message for caseQueueFilters.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "caseQueueFilters": [
    {
      object (CaseQueueFilter)
    }
  ],
  "nextPageToken": string,
  "totalSize": integer
}
Fields
caseQueueFilters[]

object (CaseQueueFilter)

The list of CaseQueueFilters.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

totalSize

integer

The total number of CaseQueueFilters.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.caseQueueFilters.get

For more information, see the IAM documentation.